services:

  activity_area.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'name',
        'id',
      ]
    tags: [ 'api_platform.filter' ]

  activity_area.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, name: ~, createdAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  activity_area.exist_filter:
    parent: 'api_platform.doctrine.orm.exists_filter'
    arguments: [ { childrens: ~ } ]
    tags:  [ 'api_platform.filter' ]